API ReferenceAgents

Get agent (with nested sub-resources)

GET
/api/v1/console/agents/{agentId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .

In: header

Path Parameters

agentId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/console/agents/string"
{  "message": "Success",  "data": {    "id": "string",    "name": "string",    "description": "string",    "system_prompt": "string",    "language": "string",    "persona": "string",    "agent_workflow_id": "string",    "rules": [      {        "id": "string",        "name": "string",        "trigger": "string",        "condition": "string",        "response": "string",        "action": "string",        "enabled": true      }    ],    "timezone": "string",    "logo": "string",    "business_name": "string",    "business_address": "string",    "business_email": "string",    "business_description": "string",    "test_channel_code": "string",    "status": "string",    "status_reason": "string",    "escalation_email": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "integration": [      {        "id": "string",        "type": "string",        "status": "string",        "is_connected": true,        "config_fields": [          {            "key": "string",            "label": "string",            "type": "string",            "required": true          }        ],        "actions": [          {            "action_name": "string",            "name": "string",            "description": "string",            "category": "string",            "is_enabled": true,            "require_human_approval": true          }        ]      }    ],    "channel": [      {        "id": "string",        "type": "string",        "status": "string",        "is_connected": true      }    ],    "conversation_flow": [      {        "name": "string",        "description": "string",        "category": "string",        "priority": 0,        "is_active": true      }    ],    "actions": [      {        "id": "string",        "integration_type": "string",        "integration_name": "string",        "name": "string",        "action_name": "string",        "description": "string",        "is_enabled": true      }    ],    "knowledge_bases": [      {        "id": "string",        "type": "text",        "name": "string",        "description": "string"      }    ]  }}
{  "message": "Resource not found",  "error": "Not Found",  "code": "not_found",  "statusCode": 404,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}
{  "message": "Resource not found",  "error": "Not Found",  "code": "not_found",  "statusCode": 404,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}